
Redmine - Patch #34150

Use match? instead of =~ when MatchData is not used

2020-10-22 04:17 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 4.2.0   

Description

String#match? was added in Ruby 2.4. you can replace =~ with faster String#match? or Regexp#match? when MatchData generated

by `=~` is not necessary.

The attached patch changes such =~ to mach?. I generated the patch with the following commands.

sed -i '' 's/TargetRubyVersion: 2.3/TargetRubyVersion: 2.4/' .rubocop.yml 

bundle exec rubocop --only Performance/RegexpMatch -a

Related issues:

Related to Redmine - Feature #34142: Drop Ruby 2.3 support Closed

Blocks Redmine - Patch #32530: Update RuboCop to 1.12 Closed

Associated revisions

Revision 20168 - 2020-10-23 02:13 - Go MAEDA

Use match? instead of =~ when MatchData is not used (#34150).

Patch by Go MAEDA.

History

#1 - 2020-10-22 04:24 - Go MAEDA

- Blocks Patch #32530: Update RuboCop to 1.12 added

#2 - 2020-10-22 04:25 - Go MAEDA

- Related to Feature #34142: Drop Ruby 2.3 support added

#3 - 2020-10-23 02:13 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

Files

use-match.diff 7.32 KB 2020-10-22 Go MAEDA
